Package com.smartgwt.client.types

# Enum LogPriority

java.lang.Object
java.lang.Enum<LogPriority>
com.smartgwt.client.types.LogPriority

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LogPriority>`, `Constable`

public enum LogPriority extends Enum<LogPriority> implements ValueEnum
Priority levels for log messages.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  All logs
  `ERROR`
  Fatal and regular Errors
  `FATAL`
  Fatal errors only
  `INFO`
  Information logs, as well as Warnings and Errors
  `WARN`
  Warnings and Errors

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LogPriority`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LogPriority[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FATAL

    public static final LogPriority FATAL
    Fatal errors only

  - ### ERROR

    public static final LogPriority ERROR
    Fatal and regular Errors

  - ### WARN

    public static final LogPriority WARN
    Warnings and Errors

  - ### INFO

    public static final LogPriority INFO
    Information logs, as well as Warnings and Errors

  - ### DEBUG

    public static final LogPriority DEBUG
    All logs

- ## Method Details

  - ### values

    public static LogPriority[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LogPriority valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`